Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net
Class ConfigurableQuorumPolicy.PartitionedCacheQuorumPolicy

`java.lang.Object
com.tangosol.util.Base
com.tangosol.net.ConfigurableQuorumPolicy
com.tangosol.net.ConfigurableQuorumPolicy.MembershipQuorumPolicy
com.tangosol.net.ConfigurableQuorumPolicy.PartitionedCacheQuorumPolicy`

All Implemented Interfaces:
  ActionPolicy

Enclosing class:
  ConfigurableQuorumPolicy

      public static class ConfigurableQuorumPolicy.PartitionedCacheQuorumPolicy

extends ConfigurableQuorumPolicy.MembershipQuorumPolicy

PartitionedCacheQuorumPolicy defines a configurable quorum policy that is applicable to a DistributedCacheService.

Nested Class Summary

Nested classes/interfaces inherited from class com.tangosol.net.ConfigurableQuorumPolicy.MembershipQuorumPolicy
`ConfigurableQuorumPolicy.MembershipQuorumPolicy.QuorumListener, ConfigurableQuorumPolicy.MembershipQuorumPolicy.QuorumRule`

Nested classes/interfaces inherited from class com.tangosol.net.ConfigurableQuorumPolicy
`ConfigurableQuorumPolicy.ClusterQuorumPolicy, ConfigurableQuorumPolicy.MembershipQuorumPolicy, ConfigurableQuorumPolicy.PartitionedCacheQuorumPolicy, ConfigurableQuorumPolicy.ProxyQuorumPolicy, ConfigurableQuorumPolicy.WrapperQuorumPolicy`

Field Summary
`protected static int` | `MASK_DISTRIBUTION` Bitmask used to encode a distribution action.
`protected static int` | `MASK_READ` Bitmask used to encode a read action.
`protected static int` | `MASK_RESTORE` Bitmask used to encode a partition restore action.
`protected static int` | `MASK_WRITE` Bitmask used to encode a write action.

Fields inherited from class com.tangosol.net.ConfigurableQuorumPolicy.MembershipQuorumPolicy
`m_aRules, m_ruleCurrent, m_service, m_setLeaving`

Fields inherited from class com.tangosol.net.ConfigurableQuorumPolicy
`m_xmlConfig`

Constructor Summary
`protected` | `ConfigurableQuorumPolicy.PartitionedCacheQuorumPolicy(XmlElement xmlConfig)` Construct a PartitionedCacheQuorumPolicy with the specified config.

Method Summary
`protected void` | `configure(XmlElement xmlConfig)` Configure the quorum policy using the specified xml.
`int` | `getPolicyPopulation()` Calculate and return the current size of the member set that contributes to the quorum for this policy domain. Note: The quorum for PartitionedService is determined by the ownership-enabled members only.
`String` | `getStatusDescription()` Return a String that describes the current Quorum state.
`boolean` | `isAllowed(Service service, Action action)` Evaluate if the specified action is currently allowed by this policy.

Methods inherited from class com.tangosol.net.ConfigurableQuorumPolicy.MembershipQuorumPolicy
`configure, getCurrentRule, getLeavingMembers, getQuorumRules, getQuorumValue, getService, init, instantiateMemberListener, setCurrentRule, setQuorumRules, setService, sortByThreshold, toString, updateCurrentRule`

Methods inherited from class com.tangosol.net.ConfigurableQuorumPolicy
`createPolicy, getConfig, instantiateClusterPolicy, instantiatePartitionedCachePolicy, instantiateProxyPolicy`

Field Detail

### MASK_DISTRIBUTION

    protected static final int MASK_DISTRIBUTION

  Bitmask used to encode a distribution action.
  See Also:
    Constant Field Values

### MASK_RESTORE

    protected static final int MASK_RESTORE

  Bitmask used to encode a partition restore action.
  See Also:
    Constant Field Values

### MASK_READ

    protected static final int MASK_READ

  Bitmask used to encode a read action.
  See Also:
    Constant Field Values

### MASK_WRITE

    protected static final int MASK_WRITE

  Bitmask used to encode a write action.
  See Also:
    Constant Field Values

Constructor Detail

### ConfigurableQuorumPolicy.PartitionedCacheQuorumPolicy

    protected ConfigurableQuorumPolicy.PartitionedCacheQuorumPolicy(XmlElement xmlConfig)

  Construct a PartitionedCacheQuorumPolicy with the specified config.
  Parameters:
    `xmlConfig` - the configuration XmlElement

Method Detail

### getStatusDescription

    public String getStatusDescription()

  Return a String that describes the current Quorum state.
  Specified by:
    `getStatusDescription` in class `ConfigurableQuorumPolicy`
  Returns:
    a String describing the allowed actions in the current state

### configure

    protected void configure(XmlElement xmlConfig)

  Configure the quorum policy using the specified xml.
  Parameters:
    `xmlConfig` - the XML configuration element

### getPolicyPopulation

    public int getPolicyPopulation()

  Calculate and return the current size of the member set that contributes to the quorum for this policy domain.
  Note: The quorum for PartitionedService is determined by the ownership-enabled members only.
  Overrides:
    `getPolicyPopulation` in class `ConfigurableQuorumPolicy.MembershipQuorumPolicy`
  Returns:
    the current size

### isAllowed

    public boolean isAllowed(Service service,
                             Action action)

  Evaluate if the specified action is currently allowed by this policy. <p/> Note: for forward compatibility, implementations should generally return `true` for actions that are not recognized.
  Parameters:
    `service` - the service that is performing the action
    `action` - the action that is being performed
  Returns:
    true iff the specified action is currently allowed by this policy

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.